Bug 24316 - Fix non-English web installers by removing obsolete authorised value MANUAL_INV
Summary: Fix non-English web installers by removing obsolete authorised value MANUAL_INV
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (command-line installer) (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Keywords:
Depends on: 23049
Blocks:
  Show dependency treegraph
 
Reported: 2019-12-29 22:19 UTC by Katrin Fischer
Modified: 2020-01-15 18:42 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.02


Attachments
Bug 24316: Remove obsolete sample data for MANUAL_INV authorised value (8.07 KB, patch)
2019-12-29 22:24 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 24316: Remove obsolete sample data for MANUAL_INV authorised value (8.34 KB, patch)
2019-12-31 00:13 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 24316: (follow up) Fix es-ES web installer (1.21 KB, patch)
2019-12-31 00:14 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 24316: (follow up) Fix es-ES web installer (1.27 KB, patch)
2019-12-31 09:34 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 24316: Remove obsolete sample data for MANUAL_INV authorised value (8.44 KB, patch)
2020-01-02 12:21 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24316: (follow up) Fix es-ES web installer (1.34 KB, patch)
2020-01-02 12:21 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2019-12-29 22:19:40 UTC
Bug 23049 replaced the MANUAL_INV authorised value by a dedicated table, but missed to remove the authorised value sample data from the non English installers.

Marking major as this causes errors in the web installer.
Comment 1 Katrin Fischer 2019-12-29 22:24:10 UTC
Created attachment 96677 [details] [review]
Bug 24316: Remove obsolete sample data for MANUAL_INV authorised value

Bug 23049 replaced the MANUAL_INV authorised value by a dedicated table,
but missed to remove the authorised value sample data from the non-English
installers.

This patch corrects this oversight.

Note:
The German (de-DE) file was changed a bit more, adding 2 missing translations
for the new RETURN_CLAIM_RESOLUTION and to match the sequence of the en
file.

To test:
- Verify the SQL file changes are valid by loading those files OR
- Run the installers for each language on an empty database
- Verify there is no error loading the optional authorised value data
Comment 2 Bernardo Gonzalez Kriegel 2019-12-31 00:13:00 UTC
Created attachment 96692 [details] [review]
Bug 24316: Remove obsolete sample data for MANUAL_INV authorised value

Bug 23049 replaced the MANUAL_INV authorised value by a dedicated table,
but missed to remove the authorised value sample data from the non-English
installers.

This patch corrects this oversight.

Note:
The German (de-DE) file was changed a bit more, adding 2 missing translations
for the new RETURN_CLAIM_RESOLUTION and to match the sequence of the en
file.

To test:
- Verify the SQL file changes are valid by loading those files OR
- Run the installers for each language on an empty database
- Verify there is no error loading the optional authorised value data

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>

Tested with 24317 and a small followup for this bug for es-ES

Tested doing clean install for de-DE es-ES fr-CA it-IT nb-NO pl-PL
up to loading of all mandatory & optional data.
All languages load without problems.
Comment 3 Bernardo Gonzalez Kriegel 2019-12-31 00:14:44 UTC
Created attachment 96693 [details] [review]
Bug 24316: (follow up) Fix es-ES web installer

Same correction, as other languages, removing
obsolete authorised value MANUAL_INV.

Same test
Comment 4 Bernardo Gonzalez Kriegel 2019-12-31 00:15:31 UTC
Last patch needs a sign
Comment 5 Katrin Fischer 2019-12-31 09:34:11 UTC
Created attachment 96699 [details] [review]
Bug 24316: (follow up) Fix es-ES web installer

Same correction, as other languages, removing
obsolete authorised value MANUAL_INV.

Same test

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Katrin Fischer 2019-12-31 09:34:23 UTC
Thx Bernardo!
Comment 7 Jonathan Druart 2020-01-02 11:23:21 UTC
Should not we remove it (again) for existing installs?
Comment 8 Katrin Fischer 2020-01-02 12:03:52 UTC
I think it's ok - since the authorised_value category was missing, this shoudl not have been installed in fresh installations. And for everyone updating it would have worked correctly, only fresh 19.11 would be in danger (and the sql was broken there).

But we can still.. not blocking :)
Comment 9 Jonathan Druart 2020-01-02 12:21:48 UTC
Created attachment 96736 [details] [review]
Bug 24316: Remove obsolete sample data for MANUAL_INV authorised value

Bug 23049 replaced the MANUAL_INV authorised value by a dedicated table,
but missed to remove the authorised value sample data from the non-English
installers.

This patch corrects this oversight.

Note:
The German (de-DE) file was changed a bit more, adding 2 missing translations
for the new RETURN_CLAIM_RESOLUTION and to match the sequence of the en
file.

To test:
- Verify the SQL file changes are valid by loading those files OR
- Run the installers for each language on an empty database
- Verify there is no error loading the optional authorised value data

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>

Tested with 24317 and a small followup for this bug for es-ES

Tested doing clean install for de-DE es-ES fr-CA it-IT nb-NO pl-PL
up to loading of all mandatory & optional data.
All languages load without problems.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 10 Jonathan Druart 2020-01-02 12:21:51 UTC
Created attachment 96737 [details] [review]
Bug 24316: (follow up) Fix es-ES web installer

Same correction, as other languages, removing
obsolete authorised value MANUAL_INV.

Same test

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 11 Martin Renvoize 2020-01-02 14:05:46 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 12 Joy Nelson 2020-01-12 21:22:41 UTC
Pushed to 19.11.x branch for 19.11.02
Comment 13 Lucas Gass 2020-01-15 18:42:28 UTC
missing dependencies for 19.05.x, no backport